# 15. الاستعلام: الحصول على "TopographyMap"

احصل على "خرائط الطبوغرافيا" لـ "الحقل".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
استعلام GetTopographyMaps {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    الاسم
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      معرف_المزرعة
      الاسم
      رابط_الحدود
      topographyMaps {
	uuid
        معرف_الحقل
        status
        خرائط_جغرافية {
          الاسم_القصير
          رابط
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/15.-alastalam-alhswl-ala-topographymap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
